Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.lifecycle.listeners
Class BAMTaskEventListener

    java.lang.Object
      org.jbpm.services.task.lifecycle.listeners.BAMTaskEventListener

All Implemented Interfaces:
  EventListener, TaskLifeCycleEventListener

    public class BAMTaskEventListener

extends Object
implements TaskLifeCycleEventListener

This listener implementation populates a table named BAMTASKCUMMARY in order to allow BAM module to query all tasks.

The available status for a task instance are:

See Also:
  `
  - Created
  - Ready
  - Reserved
  - InProgress
  - Suspended
  - Completed
  - Failed
  - Error
  - Exited
  - Obsolete

  The BAM module does not use all task predefined stauts, the following list shows the status for a jBPM task and the relationship with the BAM task status:

  - Kie Task status - BAM task status
  - Created - Created
  - Ready - Ready
  - Reserved - Reserved
  - InProgress - InProgress
  - Suspended - Suspended
  - Completed - Completed
  - Exited - Exited
  - Failed - Error
  - Error - Error
  - Obsolete - Error
  `

Nested Class Summary
`protected static interface` | `BAMTaskEventListener.BAMTaskWorker` Interface for performing additional operations to a `org.jbpm.services.task.impl.model.BAMTaskSummaryImpl` instance.

Constructor Summary
`BAMTaskEventListener(boolean flag)`

Method Summary
`void` | `afterTaskActivatedEvent(TaskEvent event)`
`void` | `afterTaskAddedEvent(TaskEvent event)`
`void` | `afterTaskClaimedEvent(TaskEvent event)`
`void` | `afterTaskCompletedEvent(TaskEvent event)`
`void` | `afterTaskDelegatedEvent(TaskEvent event)`
`void` | `afterTaskExitedEvent(TaskEvent event)`
`void` | `afterTaskFailedEvent(TaskEvent event)` When a task is failed, the status for dashbuilder integration task must be Exited.
`void` | `afterTaskForwardedEvent(TaskEvent event)`
`void` | `afterTaskForwaredEvent(TaskEvent event)`
`void` | `afterTaskNomiatedEvent(TaskEvent event)`
`void` | `afterTaskNominatedEvent(TaskEvent event)`
`void` | `afterTaskReleasedEvent(TaskEvent event)`
`void` | `afterTaskResumedEvent(TaskEvent event)`
`void` | `afterTaskSkippedEvent(TaskEvent event)` When a task is skipped, the status for dashbuilder integration task must be Exited.
`void` | `afterTaskStartedEvent(TaskEvent event)`
`void` | `afterTaskStoppedEvent(TaskEvent event)` When a task is stopped, the status for dashbuilder integration task must be Exited.
`void` | `afterTaskSuspendedEvent(TaskEvent event)`
`void` | `beforeTaskActivatedEvent(TaskEvent event)`
`void` | `beforeTaskAddedEvent(TaskEvent event)`
`void` | `beforeTaskClaimedEvent(TaskEvent event)`
`void` | `beforeTaskCompletedEvent(TaskEvent event)`
`void` | `beforeTaskDelegatedEvent(TaskEvent event)`
`void` | `beforeTaskExitedEvent(TaskEvent event)`
`void` | `beforeTaskFailedEvent(TaskEvent event)`
`void` | `beforeTaskForwardedEvent(TaskEvent event)`
`void` | `beforeTaskNominatedEvent(TaskEvent event)`
`void` | `beforeTaskReleasedEvent(TaskEvent event)`
`void` | `beforeTaskResumedEvent(TaskEvent event)`
`void` | `beforeTaskSkippedEvent(TaskEvent event)`
`void` | `beforeTaskStartedEvent(TaskEvent event)`
`void` | `beforeTaskStoppedEvent(TaskEvent event)`
`void` | `beforeTaskSuspendedEvent(TaskEvent event)`
`protected BAMTaskSummaryImpl` | `createOrUpdateTask(TaskEvent event, Status newStatus)` Creates or updates a bam task summary instance.
`protected BAMTaskSummaryImpl` | `createTask(TaskEvent event, Status newStatus, BAMTaskEventListener.BAMTaskWorker worker)` Creates or updates a bam task summary instance.
`protected BAMTaskSummaryImpl` | `updateTask(TaskEvent event)` Creates or updates a bam task summary instance.
`protected BAMTaskSummaryImpl` | `updateTask(TaskEvent event, BAMTaskEventListener.BAMTaskWorker worker)` Creates or updates a bam task summary instance.
`protected BAMTaskSummaryImpl` | `updateTask(TaskEvent event, Status newStatus, BAMTaskEventListener.BAMTaskWorker worker)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BAMTaskEventListener

    public BAMTaskEventListener(boolean flag)

Method Detail

### afterTaskStartedEvent

    public void afterTaskStartedEvent(TaskEvent event)

  Specified by:
    `afterTaskStartedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskActivatedEvent

    public void afterTaskActivatedEvent(TaskEvent event)

  Specified by:
    `afterTaskActivatedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskClaimedEvent

    public void afterTaskClaimedEvent(TaskEvent event)

  Specified by:
    `afterTaskClaimedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskCompletedEvent

    public void afterTaskCompletedEvent(TaskEvent event)

  Specified by:
    `afterTaskCompletedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskAddedEvent

    public void afterTaskAddedEvent(TaskEvent event)

  Specified by:
    `afterTaskAddedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskSkippedEvent

    public void afterTaskSkippedEvent(TaskEvent event)

  When a task is skipped, the status for dashbuilder integration task must be Exited.

  Specified by:
    `afterTaskSkippedEvent` in interface `TaskLifeCycleEventListener`
  Parameters:
    `ti` - The task.

### afterTaskStoppedEvent

    public void afterTaskStoppedEvent(TaskEvent event)

  When a task is stopped, the status for dashbuilder integration task must be Exited.

  Specified by:
    `afterTaskStoppedEvent` in interface `TaskLifeCycleEventListener`
  Parameters:
    `ti` - The task.

### afterTaskFailedEvent

    public void afterTaskFailedEvent(TaskEvent event)

  When a task is failed, the status for dashbuilder integration task must be Exited.

  Specified by:
    `afterTaskFailedEvent` in interface `TaskLifeCycleEventListener`
  Parameters:
    `ti` - The task.

### afterTaskExitedEvent

    public void afterTaskExitedEvent(TaskEvent event)

  Specified by:
    `afterTaskExitedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskReleasedEvent

    public void afterTaskReleasedEvent(TaskEvent event)

  Specified by:
    `afterTaskReleasedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskDelegatedEvent

    public void afterTaskDelegatedEvent(TaskEvent event)

  Specified by:
    `afterTaskDelegatedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskForwaredEvent

    public void afterTaskForwaredEvent(TaskEvent event)

### afterTaskNomiatedEvent

    public void afterTaskNomiatedEvent(TaskEvent event)

### afterTaskResumedEvent

    public void afterTaskResumedEvent(TaskEvent event)

  Specified by:
    `afterTaskResumedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskSuspendedEvent

    public void afterTaskSuspendedEvent(TaskEvent event)

  Specified by:
    `afterTaskSuspendedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskForwardedEvent

    public void afterTaskForwardedEvent(TaskEvent event)

  Specified by:
    `afterTaskForwardedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskNominatedEvent

    public void afterTaskNominatedEvent(TaskEvent event)

  Specified by:
    `afterTaskNominatedEvent` in interface `TaskLifeCycleEventListener`

### updateTask

    protected BAMTaskSummaryImpl updateTask(TaskEvent event,
                                            BAMTaskEventListener.BAMTaskWorker worker)

  Creates or updates a bam task summary instance.

  Parameters:
    `ti` - The source task
    `worker` - Perform additional operations to the bam task summary instance.
  Returns:
    The created or updated bam task summary instance.

### updateTask

    protected BAMTaskSummaryImpl updateTask(TaskEvent event)

  Creates or updates a bam task summary instance.

  Parameters:
    `ti` - The source task
  Returns:
    The created or updated bam task summary instance.

### createOrUpdateTask

    protected BAMTaskSummaryImpl createOrUpdateTask(TaskEvent event,
                                                    Status newStatus)

  Creates or updates a bam task summary instance.

  Parameters:
    `ti` - The source task
    `newStatus` - The new state for the task.
  Returns:
    The created or updated bam task summary instance.

### createTask

    protected BAMTaskSummaryImpl createTask(TaskEvent event,
                                            Status newStatus,
                                            BAMTaskEventListener.BAMTaskWorker worker)

  Creates or updates a bam task summary instance.

  Parameters:
    `ti` - The source task
    `newStatus` - The new state for the task.
    `worker` - Perform additional operations to the bam task summary instance.
  Returns:
    The created or updated bam task summary instance.

### updateTask

    protected BAMTaskSummaryImpl updateTask(TaskEvent event,
                                            Status newStatus,
                                            BAMTaskEventListener.BAMTaskWorker worker)

### beforeTaskActivatedEvent

    public void beforeTaskActivatedEvent(TaskEvent event)

  Specified by:
    `beforeTaskActivatedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskClaimedEvent

    public void beforeTaskClaimedEvent(TaskEvent event)

  Specified by:
    `beforeTaskClaimedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskSkippedEvent

    public void beforeTaskSkippedEvent(TaskEvent event)

  Specified by:
    `beforeTaskSkippedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskStartedEvent

    public void beforeTaskStartedEvent(TaskEvent event)

  Specified by:
    `beforeTaskStartedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskStoppedEvent

    public void beforeTaskStoppedEvent(TaskEvent event)

  Specified by:
    `beforeTaskStoppedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskCompletedEvent

    public void beforeTaskCompletedEvent(TaskEvent event)

  Specified by:
    `beforeTaskCompletedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskFailedEvent

    public void beforeTaskFailedEvent(TaskEvent event)

  Specified by:
    `beforeTaskFailedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskAddedEvent

    public void beforeTaskAddedEvent(TaskEvent event)

  Specified by:
    `beforeTaskAddedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskExitedEvent

    public void beforeTaskExitedEvent(TaskEvent event)

  Specified by:
    `beforeTaskExitedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskReleasedEvent

    public void beforeTaskReleasedEvent(TaskEvent event)

  Specified by:
    `beforeTaskReleasedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskResumedEvent

    public void beforeTaskResumedEvent(TaskEvent event)

  Specified by:
    `beforeTaskResumedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskSuspendedEvent

    public void beforeTaskSuspendedEvent(TaskEvent event)

  Specified by:
    `beforeTaskSuspendedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskForwardedEvent

    public void beforeTaskForwardedEvent(TaskEvent event)

  Specified by:
    `beforeTaskForwardedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskDelegatedEvent

    public void beforeTaskDelegatedEvent(TaskEvent event)

  Specified by:
    `beforeTaskDelegatedEvent` in interface `TaskLifeCycleEventListener`

### beforeTaskNominatedEvent

    public void beforeTaskNominatedEvent(TaskEvent event)

  Specified by:
    `beforeTaskNominatedEvent` in interface `TaskLifeCycleEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.